Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class FormReader

    java.lang.Object
      writer2latex.office.FormReader

    public class FormReader

extends java.lang.Object

This class reads a form in an OOo document (a form:form node)

Note: Subforms, properties and events are ignored.

Field Summary
`private org.w3c.dom.Element` | `form`
`private FormsReader` | `forms`
`private java.lang.String` | `sName`

Constructor Summary
`FormReader(org.w3c.dom.Element form, FormsReader forms)` The constructor reads the content of a `form:form` element

Method Summary
`java.lang.String` | `getAttribute(java.lang.String sName)` Get an attribute of the form.
`java.lang.String` | `getName()` A form in OOo is identified by name (`form:name` attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### forms

    private FormsReader forms

### sName

    private java.lang.String sName

### form

    private org.w3c.dom.Element form

Constructor Detail

### FormReader

    public FormReader(org.w3c.dom.Element form,
                      FormsReader forms)

  The constructor reads the content of a `form:form` element

  Parameters:
    `form` - a DOM element, which must be `form:form` node

Method Detail

### getName

    public java.lang.String getName()

  A form in OOo is identified by name (`form:name` attribute. The name is accessed by this method.

  Returns:
    the name of the form

### getAttribute

    public java.lang.String getAttribute(java.lang.String sName)

  Get an attribute of the form. If the attribute does not exist, this method returns `null`.

  Parameters:
    `sName` - the name of the attribute
  Returns:
    the value of the attribute, or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD